# cvsid: $Id: Makefile.sample,v 1.8.2.1 2006/01/10 10:35:47 rjs Exp $
#
# sample Makefile for PDFlib applications
# This may have to be changed for your build environment


CPPFLAGS= -I../c/include
LDFLAGS	= -L../c/lib
LDLIBS	= pdflib.o -lpdf -lm

# use the following for Mac OS X...
#LDLIBS	= pdflib.o -lpdf -lm -framework ApplicationServices

# ...and make sure to set the search path for dynamic libraries, e.g.
# (in the shell) unless you already installed PDFlib in the system:

#DYLD_LIBRARY_PATH=./lib make test

PROGS	= \
	hello \
	image \
	chartab \
	pdfclock \
	invoice \
	businesscard \
	quickreference

all: pdflib.o $(PROGS)

test: all
	-./hello
	-./image
	-./chartab
	-./pdfclock
	-./invoice
	-./businesscard
	-./quickreference

clean:
	$(RM) $(PROGS) *.o *.pdf
